Skip to content

Preflight tenant membership invitation

POST
/tenants/{id}/memberships/preflight
curl --request POST \
--url https://api.muninx.com/tenants/example/memberships/preflight \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "team-ids": [ "example" ], "agent-type": "human", "email": "[email protected]", "organization": "example", "role": "admin" }'
id
required
string

Tenant organization ID; use this for the current tenant

Proposed membership

Media type application/json
object
team-ids

Tenant-scoped team IDs for staff memberships.

Array<string>
agent-type
string
Allowed values: human ai-assisted
email
string format: email
organization
string
role
string
Allowed values: admin agent customer

OK

Media type application/json
object
outcome

Add_now or invitation_required

string
Example generated
{
"outcome": "example"
}

Problem+json

Media type application/json
object
key
additional properties
any
Example generated
{}

Problem+json

Media type application/json
object
key
additional properties
any
Example generated
{}